﻿@{
    Layout = null;
}

<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Tạo đề xuất</title>
    <script src="~/Data/js/popper.min.js"></script>
    <link rel="stylesheet" href="~/Data/css/bootstrap.min.css">
    <script src="~/Data/js/jquery.min.js"></script>
    <script src="~/Data/js/bootstrap.min.js"></script>
    <link rel="stylesheet" href="~/Data/css/font-awesome.min.css">

    <style>
        body, html {
            background-image: url('https://i.imgur.com/xhiRfL6.jpg');
            height: 100%;
        }

        #profile-img {
            height: 180px;
        }

        .h-80 {
            height: 80% !important;
        }
    </style>    
</head>

<body>
    <div class="container h-80">
        <div class="row align-items-center h-100">
            <div class="col-3 mx-auto">
                <div class="text-center">
                    <img id="profile-img" class="rounded-circle profile-img-card" src="https://i.imgur.com/6b6psnA.png" />
                    <p id="profile-name" class="profile-name-card"></p>
                    <form class="form-signin">
                        <input type="password" name="password" id="inputPassword" class="form-control form-group" placeholder="password" required autofocus>
                        <button id="login" class="btn btn-lg btn-primary btn-block btn-signin" type="button">Login</button>
                    </form><!-- /form -->
                </div>
            </div>
        </div>
    </div>
    <script>
        function loginProcess() {
            console.log(document.getElementById("inputPassword").value);

            var obj = {
                password: document.getElementById("inputPassword").value,
            };
            $.ajax({
                url: "/Admin/LoginProcess",
                data: JSON.stringify(obj),
                type: "POST",
                contentType: "application/json;charset=utf-8",
                dataType: "json",
                success: function (result) {
                    console.log(result);
                    objReturn = JSON.parse(result);
                    if (objReturn.Status == "Error") {
                        // Hidden loading
                        document.getElementById("loading").style.visibility = "hidden";
                        // On all pointer event on div main
                        document.getElementById('main').style.pointerEvents = "auto";

                        alert("Sai mã nhân viên hoặc mật khẩu ^^");
                    }
                    else if (objReturn.Status == "Admin") {
                        window.location.href = "/Admin/Staff";                        
                    }
                },
                error: function (errormessage) {
                    console.log(errormessage);
                }
            });
        }
        $(document).ready(function () {
            document.getElementById('login').addEventListener("click", loginProcess);
        });
    </script>
</body>
</html>